# General Usage

## Create Your Profile

Until you have created your profile, you will be prompted to do so. You cannot add relationships until this has been done. To create your profile:

1. Click `Profile` in the banner at the top of the screen.

	![Profile banner](images/4-profile-banner.png "Profile banner")

2. Fill in your name and continue to the next step.
3. Provide consent for your data to be stored and continue to the next step.
4. Fill in the questions shown, and find your location on the map at the bottom of the page (if available). Click your location to select it.
5. Click `Save`.

## Update Your Profile

Click `Profile` in the navigation bar at the top of the screen. If you have not yet provided consent for your data to be stored, you will first be asked for this. You will then be presented with your profile.

1. Click `Update`
2. Update your answers to the questions, and optionally update your location on the map at the bottom of the page (if available). Click your location to select it.
3. Click `Save`.

## Add a Relationship

1. Click `People` in the navigation bar at the top of the screen.
2. Locate the person you wish to record a relationship with and click `Add Relationship` next to their name.
3. If you have an existing but very limited relationship with this person, you can click the `Autofill` button at the top of the page to automatically fill in appropriate responses. This will default your relationship to the lowest level of closeness. Otherwise, fill in the listed questions.
4. Click `Submit`.


## Update a Relationship

1. Click `People` in the navigation bar at the top of the screen.
2. Locate the person you wish to update your relationship with and click `Update Relationship` next to their name.
3. If you have an existing but very limited relationship with this person, you can click the `Autofill` button at the top of the page to automatically fill in appropriate responses. This will default your relationship to the lowest level of closeness. Otherwise, fill in the listed questions.
4. Click `Submit`.

## End a Relationship

1. Click `People` in the navigation bar at the top of the screen.
2. Locate the person you wish to record a relationship with and click `Profile` next to their name.
4. Click `End Relationship` at the top of the page.

## Create an Activity

1. Click `Activities` in the navigation bar at the top of the screen.
2. Click `New Activity` at the top of the page.
2. Answer the questions shown.
4. Click `Submit`.

:::{note}
Once an ativity has been created, it can only be edited by administrators.
:::

## Record Activity Attendance

Once an activity has been created, users should record their attendance.

1. Click `Activities` in the navigation bar at the top of the screen.
2. Locate the activity you wish to record attendance for and click `Details` next to its name.
3. At the top of the page, click `Attend`.

## Cancel Activity Attendance

Once an activity has been created, users should record their attendance. They can also remove their attendance after previously registering it.

1. Click `Activities` in the navigation bar at the top of the screen.
2. Locate the activity you wish to record attendance for and click `Details` next to its name.
3. At the top of the page, click `Cancel Attendance`.

## Manage Your Account Details

To manage your account details, click your username in the top right corner of the screen, next to the `Log Out` button.

![Click your username to open your account details](images/4-open-account-details.png)

Alternatively, you can manage your account by going to your profile (click `Profile` in the navigation bar at the top of the screen), then clicking `Account Details`.

## Enable Login With Google or Microsoft

1. Open your account details by following [the steps above](#manage-your-account-details).
2. Under `Federated Login`, click `Manage`.
3. Click `Google` or `Microsoft` to link your account.


## Remove a Linked Google or Microsoft Account

1. Open your account details by following [the steps above](#manage-your-account-details).
2. Under `Federated Login`, click `Manage`.
3. Under `Account Connections`, click the radius button next to the account you wish to remove.
4. Click `Remove`.
