# Generated by Django 2.2.10 on 2021-03-02 08:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('people', '0038_project_started_date'),
    ]

    operations = [
        migrations.CreateModel(
            name='OrganisationRelationship',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('expired', models.DateTimeField(blank=True, null=True)),
                ('source', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='organisation_relationships_as_source', to='people.Person')),
                ('target', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='organisation_relationships_as_target', to='people.Organisation')),
            ],
        ),
        migrations.CreateModel(
            name='OrganisationRelationshipQuestion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('version', models.PositiveSmallIntegerField(default=1)),
                ('text', models.CharField(max_length=255)),
                ('filter_text', models.CharField(blank=True, help_text='Text to be displayed in network filters - 3rd person', max_length=255)),
                ('answer_is_public', models.BooleanField(default=True, help_text='Should answers to this question be considered public?')),
                ('is_multiple_choice', models.BooleanField(default=False)),
                ('allow_free_text', models.BooleanField(default=False)),
                ('order', models.SmallIntegerField(default=0)),
            ],
            options={
                'ordering': ['order', 'text'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='OrganisationRelationshipQuestionChoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=255)),
                ('order', models.SmallIntegerField(default=0)),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='answers', to='people.OrganisationRelationshipQuestion')),
            ],
            options={
                'ordering': ['question__order', 'order', 'text'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='OrganisationRelationshipAnswerSet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('replaced_timestamp', models.DateTimeField(blank=True, editable=False, null=True)),
                ('question_answers', models.ManyToManyField(to='people.OrganisationRelationshipQuestionChoice')),
                ('relationship', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='answer_sets', to='people.OrganisationRelationship')),
            ],
            options={
                'ordering': ['timestamp'],
                'abstract': False,
            },
        ),
        migrations.AddConstraint(
            model_name='organisationrelationshipquestionchoice',
            constraint=models.UniqueConstraint(fields=('question', 'text'), name='unique_question_answer_organisationrelationshipquestionchoice'),
        ),
        migrations.AddConstraint(
            model_name='organisationrelationship',
            constraint=models.UniqueConstraint(fields=('source', 'target'), name='unique_relationship_organisationrelationship'),
        ),
    ]
